<template>
  <div class="pop">
    <img class="close" @click="cancel" src="/img/home/nav/close.png" alt="极度证券">
    <div class="fee">您即将支付订阅费用 {{ type }} USD</div>
    <div class="title">请输入极度钱包的支付密码</div>
    <payPassword ref="test" @blur="passwordBlur" />
    <div class="btn" @click="submit">
      确定
    </div>
  </div>
</template>
<script>
import payPassword from '@/components/popPayPassword'
export default {
  props: ['type'],
  components: {
    payPassword
  },
  data () {
    return {
      password: ''
    }
  },
  methods: {
    cancel() {
      this.$emit('cancel')
    },
    passwordBlur() {
      this.password = this.$refs.test.val
    },
    submit() {
      console.log(this.password)
      this.cancel()
    }
  }
}
</script>
<style lang="less" scoped>
.pop {
  padding: 26px 21px 21px;
  text-align: center;
  position: relative;
}
.close {
  position: absolute;
  top: 17px;
  right: 10px;
  width: 15px;
}
.fee {
  color: #767676;
  font-size: 16px;
  margin-bottom: 13px;
}
.title {
  font-size: 20px;
  font-weight: 500;
  margin-bottom: 37px;
}
.btn {
  border-radius: 6px;
  text-align: center;
  line-height: 44px;
  cursor: pointer;
  background-color: var(--color-);
  color: #fff;
  margin-top: 46px;
  font-size: 16px;
}
</style>